std::indirectly_movable(3cxx)

NAME
std::indirectly_movable - [alg.req.ind.move], concept indirectly_movable

SYNOPSIS

#include <iterator_concepts.h>

Concept definition

template<typename _In, typename _Out>
concept std::indirectly_movable =  indirectly_readable<_In>
      && indirectly_writable<_Out, iter_rvalue_reference_t<_In>>

Detailed Description

[alg.req.ind.move], concept indirectly_movable

Author

Generated automatically by Doxygen for libstdc++ from the source code.